INTERFACE
SUBROUTINE INCGPF(KFIELDS,YD_PGPBUF,KFLDPTP,PREAL)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA
USE YOMGEM , ONLY : NGPTOT
USE GRIDPOINT_BUFFERS_MIX , ONLY : gridpoint_buffer
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELDS
TYPE(GRIDPOINT_BUFFER),INTENT(INOUT) :: YD_PGPBUF
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDPTP(YD_PGPBUF%IFIELDS)
REAL(KIND=JPRB) ,INTENT(IN) :: PREAL(NGPTOT,KFIELDS)
END SUBROUTINE INCGPF
END INTERFACE
